
*1. Syntax gilt fr jeweils einen Block im Fragebogen
*2. Vorgehensweise dann immer gleich

*a) Umstrukturierung der Daten --> "f" steht fr alle Variablen eines Blocks

g id = _n
reshape long f ,i(id)

*b) Umbenennung der Variable fr die Frage-Nr. und der Antwortkategorien (welche immer gleich sind)

label variable _j "Frage-Nr."
rename _j frage

label variable f "Antwort"
rename f antwort

*c) Erstellen der Labels fr die Fragen

label define fragelabels 1 "zufrieden" 2 "notwendige Arbeitsmittel" 3 "Arbeitsmittel funktionieren" 4 "Arbeitsumgebung zufriedenstellend" ///
                         5 "Gefhrdung" 6 "Arbeitszeiten angemessen" 7 "Sozialrume" 8 "Verpflegungsangebot"

label values frage fragelabels


*d) Erstellen der jeweiligen gestapelten Sulendiagramme pro Block: generieren der Zhlvariablen

tab antwort ,g(zahl) nof

*d1) nur das Barometer (erste Frage eines Blocks)

graph bar zahl* if frage == 1, over(frage, label(nolabels)) percentages stack legend(rows(2) position(6)) legend(label(1 "Nie") label(2 "Selten") ///
                label(3 "Manchmal") label(4 "Hufig") label(5 "Meistens") label(6 "Immer")) ///
                bar (1, bcolor(orange)) bar (2, bcolor(blue)) bar (3, bcolor(purple)) bar (4, bcolor(green)) bar (5, bcolor(red)) bar (6, bcolor(olive_teal)) ///
                blabel(bar, position(center) format(%4,2f)) ///
                ytitle ("Prozent") ///
                title ("Alles in allem bin ich zufrieden mit meinen Arbeitsplatzbedingungen", size (medium))

*d2) alle Fragen eines Blocks inkl. Barometer (erste Frage)

graph bar zahl*, over(frage, label(angle(45))) percentages stack legend(rows(2) position(6)) legend(label(1 "Nie") label(2 "Selten") ///
                label(3 "Manchmal") label(4 "Hufig") label(5 "Meistens") label(6 "Immer")) ///
                bar (1, bcolor(orange)) bar (2, bcolor(blue)) bar (3, bcolor(purple)) bar (4, bcolor(green)) bar (5, bcolor(red)) bar (6, bcolor(olive_teal)) ///
                blabel(bar, position(center) format(%4,2f)) ///
                ytitle ("Prozent") ///
                title ("Meine Arbeitsplatzbedingungen", size (medium))
